@import "src/@fuse/scss/fuse";

// mat-header-cell,mat-cell {
//     font-size: 11px !important;
// }

#add-button {
    right: 25px;
    bottom: 25px;
    left: auto;
    position: absolute;
}
.search-wrapper {
    width: 100%;
    max-width: 480px;
    border-radius: 28px;
    overflow: hidden;
    @include mat-elevation(1);

    @include media-breakpoint("xs") {
        width: 100%;
    }

    .search {
        width: 100%;
        height: 48px;
        line-height: 48px;
        padding: 0 18px;

        input {
            width: 100%;
            height: 48px;
            min-height: 48px;
            max-height: 48px;
            padding: 0 16px;
            border: none;
            outline: none;
        }
    }
}
app-customers {
    #products {
        .top-bg {
            @include media-breakpoint("lt-md") {
                max-height: 60%;
            }
        }

        > .center {
            > .header {
                .search-wrapper {
                    width: 100%;
                    max-width: 480px;
                    border-radius: 28px;
                    overflow: hidden;
                    @include mat-elevation(1);

                    @include media-breakpoint("xs") {
                        width: 100%;
                    }

                    .search {
                        width: 100%;
                        height: 48px;
                        line-height: 48px;
                        padding: 0 18px;

                        input {
                            width: 100%;
                            height: 48px;
                            min-height: 48px;
                            max-height: 48px;
                            padding: 0 16px;
                            border: none;
                            outline: none;
                        }
                    }
                }

                @include media-breakpoint("lt-md") {
                    display: block;
                }
            }
        }
    }

    .products-table {
        flex: 1 1 auto;
        border-bottom: 1px solid rgba(0, 0, 0, 0.12);
        overflow: auto;
        -webkit-overflow-scrolling: touch;

        .mat-header-row {
            min-height: 64px;
        }

        .product {
            position: relative;
            cursor: pointer;
            height: 84px;
        }

        .mat-cell {
            min-width: 0;
            display: flex;
            align-items: center;
        }

        .mat-column-id {
            flex: 0 1 84px;
        }

        .mat-column-image {
            flex: 0 1 84px;

            .product-image {
                width: 52px;
                height: 52px;
                border: 1px solid rgba(0, 0, 0, 0.12);
            }
        }

        .mat-column-category {
            flex: 0 1 240px;
        }

        .mat-column-price {
            flex: 0 1 160px;
        }

        .mat-column-quantity {
            flex: 0 1 160px;
        }

        .mat-column-active {
            flex: 0 1 80px;
        }

        .quantity-indicator {
            display: inline-block;
            vertical-align: middle;
            width: 8px;
            height: 8px;
            border-radius: 4px;
            margin-right: 8px;

            & + span {
                display: inline-block;
                vertical-align: middle;
            }
        }

        .active-icon {
            border-radius: 50%;
        }
    }
}
table {
    width: 100%;
}

tr.example-detail-row {
    height: 0;
}

tr.example-element-row:not(.example-expanded-row):hover {
    background: whitesmoke;
}

tr.example-element-row:not(.example-expanded-row):active {
    background: #efefef;
}

.example-element-row td {
    border-bottom-width: 0;
}

.example-element-detail {
    overflow: hidden;
    display: flex;
}

.example-element-diagram {
    min-width: 80px;
    border: 2px solid black;
    padding: 8px;
    font-weight: lighter;
    margin: 8px 0;
    height: 104px;
}

.example-element-symbol {
    font-weight: bold;
    font-size: 20px;
    line-height: normal;
}

.example-element-description {
    padding: 16px;
}

.example-element-description-attribution {
    opacity: 0.5;
}

// .mat-column-Customer {
//     word-wrap: break-word !important;
//     white-space: unset !important;
//     flex: 0 0 25% !important;
//     width: 25% !important;
//     overflow-wrap: break-word;
//     word-wrap: break-word;

//     word-break: break-word;

//     -ms-hyphens: auto;
//     -moz-hyphens: auto;
//     -webkit-hyphens: auto;
//     hyphens: auto;
// }
.mat-column-expand {
    word-wrap: break-word !important;
    white-space: unset !important;
    flex: 0 0 8% !important;
    width: 8% !important;
    overflow-wrap: break-word !important;
    word-wrap: break-word !important;
    word-break: break-word !important;
    -ms-hyphens: auto;
    -moz-hyphens: auto;
    -webkit-hyphens: auto;
    hyphens: auto;
}

mat-card {
    background: #efebeb;
}
.redRowClass {
    background-color: red !important;
}
@media (min-width: 992px) {
    .content-card {
        margin-top: 0px !important;
    }
}

.expand-imag {
    width: 20%;
    float: right;
    margin-right: 50%;
}

.text-truncate {
    white-space: normal;
}
.red-row {
    background-color: #ffa6a6 !important;
}
.mat-paginator-container {
    justify-content: center !important;
}
@media (max-width: 480px) {
    .tempColumn img {
        margin-left: 21px !important;
    }
    .tempColumn p {
        margin-left: 34px !important;
    }
    .content-card {
        margin-top: -19px !important;
    }
    .datePickerDiv{
        margin-top: 100px !important;
    }
    .datePickerRow{
        margin-left: -274px !important;
        width: 134px !important;
    }
}
.add-button {
    margin-left: 40%;
    position: fixed;
    z-index: 999;
}
.scroll-button {
    margin-left: 40%;
    margin-bottom: 60px;
    position: fixed;
    z-index: 999;
}
// p {
//     font-size: 12px;
// }

button, html [type=button], [type=reset], [type=submit]  {
    font-size: 10px;
}
.fiter_export_button{
    margin-top: 19px;
    background-color: white;
    height: 30px;
    padding: 8px;
    width: 80px;
    margin-left: 10px;
    font-size: 12px;
    border-radius: 5px;
}

.add-button{
    margin-left: 40%;
    position: fixed; 
    z-index: 999;
}
.scroll-button{
    margin-left: 40%;margin-bottom: 60px;position: fixed; z-index: 999;
}

.swal2-confirm,.swal2-cancel,.swal{
    background: #3796c8;
    border-radius: 25px;
    width: 30%;
    height: 30px;
}

.active-icon {
    border-radius: 50%;
}